
## pull official base image
FROM nginx/unit:1.22.0-python3.9
EXPOSE 80
ENV AM_DOCKER_INSTANCE Yes
## set work directory
WORKDIR /app

## install dependencies
COPY ./requirements.txt .
RUN pip install -r requirements.txt
## copy project
COPY ./CalibreWebCompanion ./CalibreWebCompanion

# perms
RUN chown -R unit:unit /app 
COPY ./deployment/entrypoints/* /docker-entrypoint.d/
RUN chmod +x /docker-entrypoint.d/start.sh

# docker run --publish 80:80 \
# -v '/home/MassiveAtoms/Desktop/logs:/app/data' \
# -v '/home/MassiveAtoms/windows/Users/MassiveAtoms/Documents/Calibre Library/:/app/calibredir' \
# --name cw calibreweb:1.0
